package com.flyer.foster.dto.app;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * FosterRecordAddDTO
 *
 * @author kelei
 * @since 2024/5/13/13:50
 */
@Data
public class AppFosterRecordAddDTO {
    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空")
    private Integer appUserId;

    @NotNull(message = "果园id不能为空")
    private Integer gardenId;

    @NotNull(message = "treeId不能为空")
    private Integer treeId;

}
