package com.flyer.foster.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flyer.foster.dto.WhisperQueryDTO;
import com.flyer.foster.dto.WhisperRespDTO;
import com.flyer.foster.entity.Whisper;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 悄悄话 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface IWhisperService extends IService<Whisper> {
    /**
     * 物理删除
     *
     * @param idList
     * @return
     */
    boolean deleteByIdList(List<Integer> idList);

    /**
     * 悄悄话列表-分页
     *
     * @param page
     * @param queryDTO
     * @return
     */
    IPage<WhisperRespDTO> getPageList(IPage<Whisper> page, WhisperQueryDTO queryDTO);
}
