package com.flyer.foster.service.impl;

import com.flyer.foster.entity.UserRole;
import com.flyer.foster.mapper.IUserRoleMapper;
import com.flyer.foster.service.IUserRoleService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 用户角色表 服务实现类
 * </p>
 *
 * @author flyer
 * @since 2024-05-06
 */
@Service
public class UserRoleServiceImpl extends ServiceImpl<IUserRoleMapper, UserRole> implements IUserRoleService {

    @Override
    public boolean deleteByUserIdList(List<Integer> userIdList) {
        return baseMapper.deleteByUserIdList(userIdList);
    }

    @Override
    public boolean deleteByRoleIdList(List<Integer> roleIdList) {
        return baseMapper.deleteByRoleIdList(roleIdList);
    }
}
