package com.flyer.foster.dto;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * TreeRespDTO
 *
 * @author kelei
 * @since 2024/5/10/13:46
 */
@Data
public class TreeRespDTO {
    private Integer id;

    /**
     * 果园id
     */
    private Integer gardenId;

    /**
     * 果园名称
     */
    private String gardenName;

    /**
     * 区域id
     */
    private Integer areaId;

    /**
     * 区域名称
     */
    private String areaName;

    /**
     * 坐标
     */
    private String wkt;

    /**
     * 状态-{0.不可用 1.可用}
     */
    private Integer status;

    /**
     * 状态中文
     */
    private String statusName;

    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;
}
